Subject: bug#75634: 29.1; Clearer prompt in info-lookup-change-mode

From: Eli Zaretskii <[email-masked]>
Date: Sat, 18 Jan 2025 13:22:22 +0200

> From: Howard Melman <[email-masked]>
> Date: Fri, 17 Jan 2025 11:02:59 -0500
> 
> I was reading emacs-devel in gnus and while reading a patch
> I wanted to lookup named-let in the manual.  I ran
> info-lookup-symbol but instead of having info open as usual
> I was confronted with the prompt "Use symbol help mode: ".
> My completion system (vertico) showed me a bunch of elisp
> symbols, though it didn't quite register that they all ended
> in "-mode" and I was wondering why named-let wasn't the
> symbol at the top of the list as would normally happen.
> 
> I now understand the reason for this. It needs to find the
> right manual and normally looks that up based on the major
> mode, but gnus-article-mode wasn't of help here, so it was
> asking me which major mode to use; but I didn't understand
> the prompt and think it could be improved.
> 
> The prompt is in info-lookup-change-mode and the "symbol" is
> either "symbol" or "file" depending on how the lookup
> command was invoked.  I think something like "Major-mode to
> lookup %s with: " would be much clearer.

How about

  Major mode to use for looking up help on this %s

instead?

> It would be even better if the prompt could include the actual
> string that would be looked up ("named-let" in my example).

That'd need redesigning how these commands prompt for stuff.
Currently, they first prompt for a mode, and after that for the
symbol/file.  Patches welcome.